package com.steerinfo.dil.feign;

import com.steerinfo.framework.controller.RESTfulResult;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.Map;

/**
 * @ author    :TXF
 * @ time      :2021/10/27 14:16
 */

@FeignClient(value = "dil-ams-api", url = "${openfeign.AmsFeign.url}")
public interface AmsFeign {

    //更改计划子表重量
    @PostMapping("api/v1/ams/amstruckpurplanmaterial/updateMaterial")
    RESTfulResult updateMaterial(@RequestBody(required = false) Map<String, Object> map);
}
